%define priority 66
%define fontname sawarabi-gothic
%define version  20100228
%define archivename %{fontname}-%{version}
%define fontconf %{priority}-%{fontname}

Name:      %{fontname}-fonts
Version:   %{version}
Release:   1%{?dist}
Summary:   Sawarabi Gothic Japanese TrueType font

License:   Creative Commons Attribution license (CC-BY)
Group:	   User Interface/X
URL:       http://sawarabi-fonts.sourceforge.jp/
Source0:   https://sourceforge.jp/projects/sawarabi-fonts/downloads/39716/%{archivename}.tar.gz
Source1:   %{fontname}-fontconfig.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires:	fontpackages-devel

%description
The Sawarabi Gothic fonts are TTF fonts ditributed under the Creative Commons.

%prep
%setup -q -n %{fontname}

%build
%{nil}


%install
rm -rf $RPM_BUILD_ROOT

install -m 0755 -d $RPM_BUILD_ROOT%{_fontdir}
install -m 0644 -p *.ttf $RPM_BUILD_ROOT%{_fontdir}
install -m 0755 -d	$RPM_BUILD_ROOT%{_fontconfig_templatedir} $RPM_BUILD_ROOT%{_fontconfig_confdir}
install -m 0644 -p %{SOURCE1} $RPM_BUILD_ROOT%{_fontconfig_templatedir}/%{fontconf}.conf

ln -s %{_fontconfig_templatedir}/%{fontconf}.conf $RPM_BUILD_ROOT%{_fontconfig_confdir}/%{fontconf}.conf


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc README.txt
%dir %{_fontdir}
%dir %{_fontconfig_templatedir}
%dir %{_fontconfig_confdir}
%{_fontdir}/*.ttf
%{_fontconfig_templatedir}/*.conf
%{_fontconfig_confdir}/*.conf

%changelog
* Mon Mar 01 2010 Keiichi Takahashi <bitwalk@users.sourceforge.net>
- update 20100228

* Tue Feb 16 2010 Keiichi Takahashi <bitwalk@users.sourceforge.net>
- update 20100215

* Sun Jan 31 2010 Keiichi Takahashi <bitwalk@users.sourceforge.net>
- update 20100131

* Sun Jan 17 2010 Keiichi Takahashi <bitwalk@users.sourceforge.net>
- update 20100115

* Wed Dec 30 2009 Keiichi Takahashi <bitwalk@users.sourceforge.net>
- update 20091230

* Thu Dec 17 2009 Keiichi Takahashi <bitwalk@users.sourceforge.net>
- update 20091215

* Mon Nov 30 2009 Keiichi Takahashi <bitwalk@users.sourceforge.net>
- update 20091130

* Sun Nov 15 2009 Keiichi Takahashi <bitwalk@users.sourceforge.net>
- update 20091115

* Mon Nov 02 2009 Keiichi Takahashi <bitwalk@users.sourceforge.net>
- update 20091101

* Thu Oct 15 2009 Keiichi Takahashi <bitwalk@users.sourceforge.net>
- update 20091015

* Wed Sep 30 2009 Keiichi Takahashi <bitwalk@users.sourceforge.net>
- update 20090930

* Fri Sep 04 2009 Keiichi Takahashi <bitwalk@users.sourceforge.net>
- update 20090831

* Sun Aug 16 2009 Keiichi Takahashi <bitwalk@users.sourceforge.net>
- update 20090815

* Fri Jul 31 2009 Keiichi Takahashi <bitwalk@users.sourceforge.net>
- update 20090731

* Sat Jul 11 2009 Keiichi Takahashi <bitwalk@users.sourceforge.net>
- update 20090710

* Sat Jul 04 2009 Keiichi Takahashi <bitwalk@users.sourceforge.net>
- update 20090630

* Sun Jun 21 2009 Keiichi Takahashi <bitwalk@users.sourceforge.net>
- update 20090620

* Fri Jun 13 2009 Keiichi Takahashi <bitwalk@users.sourceforge.net>
- add fontpackages-devel in BuildRequires

* Fri Jun 12 2009 Keiichi Takahashi <bitwalk@users.sourceforge.net>
- update 20090610

* Sun May 31 2009 Keiichi Takahashi <bitwalk@users.sourceforge.net>
- update 20090530

* Fri May 22 2009 Keiichi Takahashi <bitwalk@users.sourceforge.net>
- update 20090520

* Wed May 6 2009 Keiichi Takahashi <bitwalk@users.sourceforge.net>
- update 20090501

* Sat Apr 4 2009 Keiichi Takahashi <bitwalk@users.sourceforge.net>
- initial version

